%{?nodejs_find_provides_and_requires}

%global packagename exit-hook

# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-exit-hook
Version:	1.1.1
Release:	1%{?dist}
Summary:	Run some code when the process exits

License:	MIT
URL:		https://github.com/sindresorhus/exit-hook
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/exit-hook/v%{version}/test.js
# License
Source2:	https://raw.githubusercontent.com/sindresorhus/exit-hook/v%{version}/license


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Run some code when the process exits


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
# copy the license
cp -p %{SOURCE2} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb 23 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
